> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poozle.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Check if credentials are valid

> Check credentials for a integration definition



## OpenAPI

````yaml POST /v1/integration_account/check
openapi: 3.0.0
info:
  title: Poozle
  description: The poozle API description
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/integration_account/check:
    post:
      tags:
        - Integration Account
      description: Check credentials for a integration definition
      operationId: IntegrationAccountController_checkCredentialsForIntegrationAccount
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IntegrationCheckBody'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiException'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiException'
components:
  schemas:
    IntegrationCheckBody:
      type: object
      properties:
        integrationDefinitionId:
          type: string
        config:
          type: object
        authType:
          type: string
        workspaceId:
          type: string
      required:
        - integrationDefinitionId
        - config
        - authType
        - workspaceId
    ApiException:
      type: object
      properties:
        statusCode:
          type: number
        message:
          type: string
        status:
          type: string
        error:
          type: string
        errors:
          type: object
        timestamp:
          type: string
        path:
          type: string

````